package service

import (
	"reflect"

	cda "git.loafle.net/commons/di-go/annotation"
	cdr "git.loafle.net/commons/di-go/registry"

	// For annotation
	_ "git.loafle.net/overflow/commons-go/core/annotation"
)

var ProbeServiceType = reflect.TypeOf((*ProbeService)(nil))

func init() {
	cdr.RegisterType(ProbeServiceType)
}

type ProbeService struct {
	cda.TypeAnnotation `annotation:"@overflow:RPCService()"`
}

func (s *ProbeService) InitService() error {
	return nil
}

func (s *ProbeService) StartService() error {

	return nil
}

func (s *ProbeService) StopService() {

}

func (s *ProbeService) DestroyService() {

}

func (s *ProbeService) Send(method string, params ...interface{}) error {

	return nil
}
